# -*- coding: utf-8 -*-
from openerp import models, fields, api

class AccountVoucher(models.Model):
    _inherit = 'account.voucher'

    description_completo = fields.Char(string='Descripción Completa', compute='_compute_description_completo_voucher', store=True)

    @api.depends('reference')
    def _compute_description_completo_voucher(self):
        for line in self:
            # Buscar la factura relacionada por el número (number)
            invoice = self.env['account.invoice'].search([('number', '=', line.reference)], limit=1)
            line.description_completo = invoice.description_completo if invoice else ''
